Bug 1428877 - [UPDATES] ERROR: The "pre-update" hook is not defined on SoftwareDeployment "UpdateDeployment"
Summary: [UPDATES] ERROR: The "pre-update" hook is not defined on SoftwareDeployment "...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: async
: 10.0 (Newton)
Assignee: Zane Bitter
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On: 1414779 1428879
Blocks: 1422563 1428845
TreeView+ depends on / blocked
 
Reported: 2017-03-03 14:41 UTC by Lukas Bezdicka
Modified: 2020-06-11 13:32 UTC (History)
29 users (show)

Fixed In Version: openstack-heat-7.0.2-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1414779
Environment:
Last Closed: 2017-05-17 12:22:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1665699 0 None None None 2017-03-03 14:41:50 UTC
Red Hat Knowledge Base (Solution) 2961891 0 None None None 2017-03-09 15:53:08 UTC
Red Hat Knowledge Base (Solution) 3113321 0 None None None 2017-07-13 08:56:24 UTC
Red Hat Product Errata RHSA-2017:1243 0 normal SHIPPED_LIVE Moderate: openstack-heat security, bug fix, and enhancement update 2017-05-17 16:18:42 UTC

Comment 5 Yurii Prokulevych 2017-04-06 14:07:33 UTC
Verified with:
openstack-heat-api-7.0.2-4.el7ost.noarch
openstack-heat-engine-7.0.2-4.el7ost.noarch
openstack-heat-templates-0-0.11.1e6015dgit.el7ost.noarch
openstack-heat-common-7.0.2-4.el7ost.noarch
openstack-heat-api-cfn-7.0.2-4.el7ost.noarch

Steps:
------
Installed RHOS-10 (2017-03-17.2)
Update UC
Setup latest repos on OC
Update OC succeeded:
    openstack overcloud update stack -i overcloud

Comment 8 errata-xmlrpc 2017-05-17 12:22:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1243


Note You need to log in before you can comment on or make changes to this bug.